Package org.opensaml.saml.saml1.binding.encoding.impl

# Class BaseSAML1MessageEncoder

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.messaging.encoder.AbstractMessageEncoder
org.opensaml.messaging.encoder.servlet.AbstractHttpServletResponseMessageEncoder
org.opensaml.messaging.encoder.servlet.BaseHttpServletResponseXMLMessageEncoder
org.opensaml.saml.common.binding.impl.BaseSAMLHttpServletResponseEncoder
org.opensaml.saml.saml1.binding.encoding.impl.BaseSAML1MessageEncoder

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `UnmodifiableComponent`, `MessageEncoder`, `HttpServletResponseMessageEncoder`, `SAMLMessageEncoder`

Direct Known Subclasses:
  `HTTPArtifactEncoder`, `HTTPPostEncoder`

public abstract class BaseSAML1MessageEncoder extends BaseSAMLHttpServletResponseEncoder implements SAMLMessageEncoder
Base class for SAML 1 message encoders.

## Field Summary

### Fields inherited from class org.opensaml.messaging.encoder.AbstractMessageEncoder

`BASE_PROTOCOL_MESSAGE_LOGGER_CATEGORY`

## Constructor Summary

Constructors
Constructor
Description
`BaseSAML1MessageEncoder()`

## Method Summary

Modifier and Type
Method
Description
`protected URI`
`getEndpointURL(MessageContext messageContext)`
Gets the response URL from the message context.

### Methods inherited from class org.opensaml.messaging.encoder.servlet.BaseHttpServletResponseXMLMessageEncoder

`encode, marshallMessage, serializeMessageForLogging`

### Methods inherited from class org.opensaml.messaging.encoder.servlet.AbstractHttpServletResponseMessageEncoder

`doInitialize, getHttpServletResponse, getHttpServletResponseSupplier, setHttpServletResponseSupplier`

### Methods inherited from class org.opensaml.messaging.encoder.AbstractMessageEncoder

`doEncode, getMessageContext, getMessageToLog, getProtocolMessageLogger, getProtocolMessageLoggerSubCategory, logEncodedMessage, prepareContext, setMessageContext, setProtocolMessageLoggerSubCategory`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.DestructableComponent

`destroy, isDestroyed`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

### Methods inherited from interface org.opensaml.messaging.encoder.MessageEncoder

`encode, prepareContext, setMessageContext`

### Methods inherited from interface org.opensaml.saml.common.binding.encoding.SAMLMessageEncoder

`getBindingURI`

## Constructor Details

### BaseSAML1MessageEncoder

public BaseSAML1MessageEncoder()

## Method Details

### getEndpointURL

@Nonnull protected URI getEndpointURL(@Nonnull MessageContext messageContext) throws MessageEncodingException
Gets the response URL from the message context.

Parameters:
  `messageContext` - current message context
Returns:
  response URL from the message context
Throws:
  `MessageEncodingException` - throw if no relying party endpoint is available